View Issue Details

IDProjectCategoryView StatusLast Update
0004909unrealircdpublic2018-09-02 21:57
ReporterThe_MythAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUnixOSUbuntuOS Version16.04 LTS
Product Version 
Target Version4.2.0Fixed in Version4.2.0 
Summary0004909: Extended ban on type "extbans/textban" not working properly on words with dots
DescriptionI've set an extbans/textban with "/mode #chan +b ~T:censor:*moreno.sexy9*", but if someone types it, it appears on channel like: <censored>.sexy9

I don't know if it's the "dot" part that breaks the censoring, or if the censor needs to escape de "dot" somehow.

Since it's a channel mode that can be used to prevent spam in a per channel basis, i've set severity to major.
Steps To Reproducea) Enter a channel
b) Type: /mode #chan +b ~T:censor:*moreno.sexy9*
c) Type moreno.sexy9 with another user and send the message to the channel
d) It should appear on channel like: <censored>.sexy9
Additional InformationI've attached a printscreen of the issue.
Tagsbug, channel, CHMODE
3rd party modules

Activities

The_Myth

2017-03-27 11:16

reporter  

censor_bug.jpg (151,858 bytes)

syzop

2017-03-27 11:38

administrator   ~0019718

I believe the dot is seen as a 'word separator', which causes it to be confused.

I'll have a look at fixing it this week. Thanks :)

NoMiaus

2018-06-30 18:57

reporter   ~0020182

Any news about this bug?

syzop

2018-07-14 16:40

administrator   ~0020200

I was supposed to look at this *add to list*

syzop

2018-09-02 12:37

administrator   ~0020252

Note: this module will be loaded by default in 4.0.19 so I should definitely take a look at this.

syzop

2018-09-02 21:57

administrator   ~0020256

Fixed in 4.0.19. https://github.com/unrealircd/unrealircd/commit/2537fb5e1c9ad2b5d3c0b8caa8d55982a59fcb46

Full explanation:
The dot is a 'word separator'. If you for example censor 'xyz' and someone writes 'i like xyz.i hate zzz' then it will transformed to 'i like <censored>.i hate zzz' and not (if dot would not be a word separator) 'i like <censored> hate zzz' which would be confusing.
So the dot being a word separator is not going to change...

BUT.. if the dot is part of the 'word to be blocked' (in your case 'moreno.sexy9') then that part should obviously be skipped/censored.. that was what this bug report is about.. and that is what it does from now on :)

Issue History

Date Modified Username Field Change
2017-03-27 11:16 The_Myth New Issue
2017-03-27 11:16 The_Myth File Added: censor_bug.jpg
2017-03-27 11:16 The_Myth Tag Attached: bug
2017-03-27 11:16 The_Myth Tag Attached: channel
2017-03-27 11:16 The_Myth Tag Attached: CHMODE
2017-03-27 11:38 syzop Note Added: 0019718
2017-03-27 11:38 syzop Priority high => normal
2017-03-27 11:38 syzop Severity major => minor
2018-06-30 18:57 NoMiaus Note Added: 0020182
2018-07-14 16:40 syzop Status new => acknowledged
2018-07-14 16:40 syzop Target Version => 4.2.0
2018-07-14 16:40 syzop Note Added: 0020200
2018-07-14 16:41 syzop Sticky Issue No => Yes
2018-09-02 12:37 syzop Note Added: 0020252
2018-09-02 21:57 syzop Assigned To => syzop
2018-09-02 21:57 syzop Status acknowledged => resolved
2018-09-02 21:57 syzop Resolution open => fixed
2018-09-02 21:57 syzop Fixed in Version => 4.2.0
2018-09-02 21:57 syzop Note Added: 0020256